# Send reminders

{% post /%}
{% path text="/v1/document/remind" /%}

A reminder is helpful when you need to remind your signers to sign the document. A reminder email will be sent to the signer. You can send reminders to multiple signers together if more than one signer is needed to sign the same document.

## Code snippet

{% codetab %}

cURL

```shell 
curl -X 'POST' \ 'https://api.boldsign.com/v1/document/remind?documentId={documentId}' \
     -H 'accept: */*' \
     -H 'X-API-KEY: {your-api-key}'\
     -H 'Content-Type: application/json;odata.metadata=minimal;odata.streaming=true' \
     -d '{
     "Message": "string",
     "OnBehalfOf": "string"
}'
```

C#

```csharp
var apiClient = new ApiClient("https://api.boldsign.com", "Your_API_Key");

var documentClient = new DocumentClient(apiClient);

documentClient.RemindDocument(
    documentId: "YOUR_DOCUMENT_ID",
    reminderMessage: new ReminderMessage(message: "Please sign this soon"));
```

Python

```python
import boldsign

configuration = boldsign.Configuration(host = "https://api.boldsign.com", api_key="YOUR_API_KEY")

with boldsign.ApiClient(configuration) as api_client:

    document_api = boldsign.DocumentApi(api_client)
	
    reminder_message = boldsign.ReminderMessage(
        message="Please sign this soon")

    document_api.remind_document(document_id="YOUR_DOCUMENT_ID", reminder_message=reminder_message)
```

PHP

```php
<?php require_once "vendor/autoload.php";

use BoldSign\Configuration;
use BoldSign\Api\DocumentApi;
use BoldSign\Model\ReminderMessage;

$config = new Configuration();
$config->setHost('https://api.boldsign.com');
$config->setApiKey('YOUR_API_KEY');

$document_api = new DocumentApi($config);

$reminder_message = new ReminderMessage();
$reminder_message->setMessage('Please sign this soon');

$document_api->remindDocument($document_id = 'YOUR_DOCUMENT_ID', $receiver_emails = ['david@cubeflakes.com'], $reminder_message);
```

Java

```java
ApiClient client = Configuration.getDefaultApiClient();
client.setBasePath("https://api.boldsign.com");
client.setApiKey("YOUR_API_KEY");
        
DocumentApi documentApi = new DocumentApi(client);

ReminderMessage reminderMessage = new ReminderMessage();
reminderMessage.setMessage("Please sign this soon");

documentApi.remindDocument( "YOUR_DOCUMENT_ID", null, reminderMessage);
```

NodeJS

```js
import { DocumentApi, ReminderMessage } from "boldsign";

const documentApi = new DocumentApi("https://api.boldsign.com");
documentApi.setApiKey("YOUR_API_KEY");

const reminderMessage = new ReminderMessage();
reminderMessage.message = "Please sign this soon";

documentApi.remindDocument("YOUR_DOCUMENT_ID", ["david@cubeflakes.com"], reminderMessage);
```

{% /codetab %}

## Query parameters

{% nestedtable %}

- {% arguments name="documentId" /%}{% batch datatype="string" /%}{% required /%}
- The ID of the document to which the reminder has to be sent.

---

- {% arguments name="receiverEmails" /%}{% batch datatype="array" /%}
- Mail ID of the signer. Multiple signer IDs can be specified if the signature is requested from multiple signers for the same document.

{% /nestedtable %}

## Request body

{% nestedtable %}

- {% arguments name="Message" /%}{% batch datatype="array" /%}
- Message to be sent to the signer to remind them.

---

- {% arguments name="OnBehalfOf" /%}{% batch datatype="array" /%}
- Mail ID of the sender if you are sending reminders to the on behalf of documents.

{% /nestedtable %}

## Example response

***204 No Content***
